SYSTEMD-DISSECT(1)

BEZEICHNUNG
systemd-dissect - Auffindbare Plattenabbilder (DDIs) analysieren

ÜBERSICHT

systemd-dissect [OPTIONEN…] ABBILD

systemd-dissect [OPTIONEN…] --mount ABBILD PFAD

systemd-dissect [OPTIONEN…] --umount PFAD

systemd-dissect [OPTIONEN…] --copy-from ABBILD PFAD [ZIEL]

systemd-dissect [OPTIONEN…] --copy-to ABBILD [QUELLE] PFAD

BESCHREIBUNG

systemd-dissect ist ein Werkzeug zur Untersuchung und zum Umgang mit Dateisystem-Betriebssystemabbildern, insbesondere auffindbaren Plattenabbildern (DDIs). Es unterstützt fünf verschiedene Aktionen:

    1. Die Anzeige allgemeiner Betriebssystemabbildinformationen, einschließliche der Daten aus os-release(5) des Abbildes, der Maschinenkennung, der Partitionsinformationen und weitere.

    2. Das Einhängen eines Betriebssystemabbildes in ein lokales Verzeichnis. In diesem Modus wird es das Betriebssystemabbild zerlegen und die enthaltenen Partitionen entsprechend ihrer Bestimmung in ein Verzeichnis und möglicherweise Unterverzeichnisse einhängen.

    3. Das Aushängen eines Betriebssystemabbildes aus einem lokalen Verzeichnis. In diesem Modus wird es rekursiv die eingehängten Partitionen aushängen und das zugrundeliegende Loop-Gerät entfernen, einschließlich aller Partitions-Untergeräte.

    4. Das Kopieren von Dateien in und aus dem Betriebssystemabbild.

Das Werkzeug kann auf drei Arten von Betriebssystemabbildern arbeiten:

    1. Betriebssystemplattenabbilder, die eine GPT-Partitionstabellen-Einhüllende enthalten, wobei die Partitionen entsprechend der Spezifikation für auffindbare Partitionen[1] markiert sind.

    2. Betriebssystemplattenabbilder, die nur ein einfaches Dateisystem ohne umhüllende Partitionstabelle enthalten. (Dieses Dateisystem wird als Wurzeldateisystem des Betriebssystems angenommen.)

    3. Betriebssystemabbilder, die eine GPT- oder MBR-Partitionstabelle mit nur einer einzigen Partition enthalten. (Dieses Dateisystem wird als Wurzeldateisystem des Betriebssystems angenommen.)

Betriebssystemabbilder können jede Art von Linux unterstützter Dateisysteme verwenden. Zusätzlich können sie LUKS-Plattenverschlüsselung verwenden und Verity-Integritätsinformationen enthalten. Beachten Sie, dass so geeignete Betriebssystemabbilder mit dem Schalter --image= von systemd-nspawn(1) gestartet und als Wurzeldateisystem für Dienste, die die Unit-Dateieinstellung RootImage= verwenden, eingesetzt werden können, siehe systemd.exec(5).

Beachten Sie, dass die beim Aufruf ohne Befehlszeilenschalter dargestellte Partitionstabelle (wie nachfolgend angezeigt) nicht notwendigerweise alle im Abbild enthaltenen Partitionen anzeigt, sondern nur die Partitionen, die interpretiert und als Teil des Betriebssystemabbilds betrachtet werden. Insbesondere werden Partitionen mit unbekanntem Typ ignoriert, sowie doppelte Partitionen (d.h. mehr als eine Partition pro Partitionstyp), sowie Wurzel und /usr/-Partitionen von Architekturen, die mit dem lokalen System nicht kompatibel sind. Mit anderen Worten: dieses Werkzeug zeigt das an, womit es beim Einhängen des Abbilds umgehen wird. Um die vollständige Liste der Partitionen anzuzeigen, verwenden Sie ein Werkzeug wie fdisk(8).

BEFEHLE

Falls keiner der nachfolgend aufgeführten Befehlszeilenschalter übergeben wird, dann wird das angegebene Plattenabbild geöffnet und allgemeine Informationen über das Abbild und die darin enthaltenen Partitionen und ihre Verwendung werden ausgegeben.

--mount, -m
    Hängt das angegebene Betriebssystemabbild in das angegebene Verzeichnis ein. Dies wird das Abbild analysieren, das Wurzeldateisystem des Betriebssystems ermitteln — sowie alle möglichen weiteren Partitionen – und diese in das angegebene Verzeichnis einhängen. Falls das Betriebssystem mehrere gemäß der Spezifikation für auffindbare Partitionen[1] markierte Partitionen enthält, werden mehrere, verschachtelte Einhängungen etabliert. Dieser Befehl erwartet zwei Argumente: einen Pfad zu einer Abbilddatei und einen Pfad zu einem Verzeichnis, in dem das Abbild eingehängt werden soll.

    Um ein Betriebssystemabbild auszuhängen, das auf diese Weise eingehängt wurde, verwenden Sie die Aktion --umount.

    Wenn das Betriebssystemabbild LUKS-verschlüsselte oder Verity-Integritätsgeschützte Dateisysteme enthält, dann werden geeignete Datenträger automatisch eingerichtet und für die automatische Zerlegung markiert, wenn das Abbild ausgehängt wird.

    Das Betriebssystemabbild kann entweder als Pfad zu einem in einer regulären Datei gespeicherten Betriebssystemabbild angegeben sein oder sich auf einen Blockgeräteknoten beziehen (in diesem Fall muss das Blockgerät das »gesamte« Gerät sein, d.h. kein Partitionsgerät). (Die weiteren hier beschriebenen unterstützten Befehle unterstützen das auch.)

    Alle eingehängten Dateisysteme werden mit der geeigneten fsck(8)-Implementierung im automatischen Korrekturmodus überprüft, außer dies wird explizit mit (--fsck=no) ausgeschaltet oder eine schreibgeschützte Aktion wird erbeten (--read-only).

-M
    Dies ist ein Kürzel für --mount --mkdir.

--umount, -u
    Hängt ein Betriebssystemabbild aus dem angegebenen Verzeichnis aus. Dieser Befehl erwartet ein Argument: ein Verzeichnis, in dem das Betriebssystemabbild eingehängt wurde.

    Alle eingehängten Partitionen werden rekursiv ausgehängt, und das zugrundeliegende Loop-Gerät wird entfernt, einschließlich aller seiner Partitions-Sub-Geräte.

-U
    Dies ist ein Kürzel für --umount --rmdir.

--copy-from, -x
    Kopiert eine Datei oder ein Verzeichnis von dem angegebenen Betriebssystemabbild an den angegebenen Ort auf dem Dateisystem des Rechners. Erwartet drei Argumente: einen Pfad zu einer Abbilddatei, einem Quellpfad (relativ zu dem Wurzelverzeichnis des Abbilds) und einen Zielpfad (relativ zum aktuellen Arbeitsverzeichnis oder einen absoluten Pfad, beide außerhalb des Abbilds). Falls der Zielpfad nicht oder als Bindestrich (»-«) angegeben wird, wird die angegebene Datei in die Standardausgabe kopiert. Falls sich der Quellpfad in dem Abbild-Dateisystem auf eine reguläre Datei bezieht, dann wird diese an den Zielpfad kopiert. In diesem Fall wird auch der Zugriffsmodus, erweiterte Attribute und der Zeitstempel kopiert, aber die Dateieigentümerschaft nicht. Falls sich der Quellpfad in dem Abbild auf ein Verzeichnis bezieht, wird dies rekursiv mit allen enthaltenen Dateien und Verzeichnissen an den Zielpfad kopiert. In diesem Fall werden auch die Dateieigentümerschaften mit kopiert.

--copy-to, -a
    Kopiert eine Datei oder ein Verzeichnis von dem angegebenen Ort im Dateisystem des Rechners in das angegebene Betriebssystemabbild. Erwartet drei Argumente: einen Pfad zu einer Abbilddatei, einem Quellpfad (relativ zum aktuellen Arbeitsverzeichnis oder ein absoluter Pfad, beide außerhalb des Abbilds) und Zielpfad (relativ zu dem Wurzelverzeichnis des Abbilds). Falls der Quellpfad nicht oder als Bindestrich (»-«) angegeben wird, werden die zu schreibenden Daten aus der Standardeingabe gelesen. Falls sich der Quellpfad in dem Dateisystem des Rechners auf eine reguläre Datei bezieht, dann wird diese an den Zielpfad kopiert. In diesem Fall wird auch der Zugriffsmodus, erweiterte Attribute und der Zeitstempel kopiert, aber die Dateieigentümerschaft nicht. Falls sich der Quellpfad im Dateisystem des Rechners auf ein Verzeichnis bezieht, wird dies rekursiv mit allen enthaltenen Dateien und Verzeichnissen an den Zielpfad kopiert. In diesem Fall werden auch die Dateieigentümerschaften mit kopiert.

    Wie bei --mount werden Dateisystemüberprüfungen implizit ausgeführt, bevor die Kopieraktion beginnt.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

OPTIONEN

Die folgenden Optionen werden verstanden:

--read-only, -r
    Agiert im schreibgeschützten Modus. Standardmäßig wird --mount schreibbare Einhängepunkte etablieren. Wird diese Option angegeben, dann werden sie stattdessen schreibgeschützt etabliert.

--fsck=no
    Schaltet automatische Dateisystemüberprüfung aus. Standardmäßig wird das Dateisystem innerhalb eines Betriebssystemabbildes automatisch mit dem geeigneten fsck(8)-Befehl (im Modus mit automatischer Korrektur) überprüft, wenn auf das Abbild zum Schreiben (mittels --mount oder --copy-to) zugegriffen wird. Dieses Verhalten kann mittels --fsck=no ausgeschaltet werden.

--growfs=no
    Schaltet das automatische Anwachsen der Dateisysteme, auf die zugegriffen wird, auf die Partitionsgröße aus, falls das so in der GPT-Partitionstablle markiert ist. Standardmäßig wachsen die in den Betriebssystemabbildern enthaltenen Dateisysteme automatisch auf ihre Partitionsgröße an, falls Bit 59 in den GPT-Partitionsschaltern für Partitionstypen, die in der Spezifikation für auffindbare Partitionen[1] definiert sind, gesetzt ist, wenn auf ein Abbild schreibend (durch --mount oder --copy-to) zugegriffen wird. Dieses Verhalten kann mittels --growfs=no ausgeschaltet werden. Dateisysteme wachsen beim Zugriff automatisch, falls alle der folgenden Bedingungen erfüllt sind:

        1. Das Dateisystem ist schreibbar eingehängt.

        2. Das Dateisystem ist derzeit kleiner als die Partition, in der es enthalten ist (und kann daher anwachsen).

        3. Das Abbild enthält eine GPT-Partitionstabelle.

        4. Das Dateisystem ist auf einer Partitions gespeichert, die in der Spezifikation für auffindbare Partitionen definiert ist.

        5. Bit 59 der GPT-Partitionsschalter für diese Partition ist spezifikationsgemäß gesetzt.

        6. Die Option --growfs=no wurde nicht übergeben.

--mkdir
    Bei Kombination mit --mount wird das Verzeichnis, in das das Betriebssystemabbild eingehängt werden soll, erstellt, falls es fehlt. Beachten Sie, dass dieses Verzeichnis nicht automatisch entfernt wird, wenn das Plattenabbild ausgehängt wird.

--rmdir
    Falls mit --umount kombiniert wird das angegebene Verzeichnis, indem das Betriebssystemabbild eingehängt ist, entfernt, nachdem das Betriebssystemabbild ausgehängt wurde.

--discard=
    Akzeptiert entweder »disabled«, »loop«, »all« oder »crypto«. Bei »disabled« wird auf das Abbild zugegriffen, ohne leere Blöcke zu verwerfen. Bei »loop« ist das Verwerfen aktiviert, falls auf einer regulären Datei agiert wird. Bei »crypt« ist Verwerfen aktiviert, selbst wenn auf verschlüsselten Dateisystemen agiert wird. Bei »all« wird das Verwerfen ohne weitere Bedingungen aktiviert.

--root-hash=, --root-hash-sig=, --verity-data=
    Konfiguriert verschiedene Aspekte der Verity-Datenintegrität für das Betriebssystemabbild. Option --root-hash= gibt einen hexadezimal kodierten Verity-Hash der obersten Stufe an, für die Einrichtung des Verity-Integritätsschutzes. Option --root-hash-sig= gibt den Pfad zu einer Datei an, die eine PKCS#7-Signatur für den Hash enthält. Diese Signatur wird während der Aktivierung an den Kernel übergeben, der diese dann mit den Signaturschlüsseln vergleicht, die im Kernel-Schlüsselbund enthalten sind. Option --verity-data= gibt einen Pfad zu einer Datei mit den Verity-Daten an, die für das Betriebssystem-Abbild verwandt werden sollen, falls diese in einer abgetrennten (separaten) Datei gespeichert sind. Es wird empfohlen, die Verity-Daten direkt in das Abbild einzubetten und hierfür den Verity-Mechanismus in der Spezifikation für auffindbare Partitionen[1] zu verwenden.

--no-pager
    Leitet die Ausgabe nicht an ein Textanzeigeprogramm weiter.

--no-legend
    Gibt die Legende nicht aus, d.h. die Spaltenköpfe und die Fußzeile mit Hinweisen.

--json=MODUS
    Zeigt die Ausgabe als JSON formatiert. Erwartet entweder »short« (für die kürzest mögliche Ausgabe ohne unnötigen Leerraum oder Zeilenumbrüche), »pretty« (für eine schönere Version der gleichen Ausgabe, mit Einzügen und Zeilenumbrüchen) oder »off« (um die standardmäßig aktivierte JSON-Ausgabe auszuschalten).

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

systemd(1), systemd-nspawn(1), systemd.exec(5), Spezifikation für auffindbare Partitionen[1], umount(8), fdisk(8)

ANMERKUNGEN

1.  Spezifikation für auffindbare Partitionen
    https://systemd.io/DISCOVERABLE_PARTITIONS

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).